#pragma once

#include "CoreMinimal.h"
#include "BaseCharacterVelocityCalculationStrategy.h"
#include "DBDTunableRowHandle.h"
#include "K38SurvivorHeldByDogVelocityCalculationStrategy.generated.h"

class UCurveFloat;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK38SurvivorHeldByDogVelocityCalculationStrategy : public UBaseCharacterVelocityCalculationStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _dogPullSpeedCurve;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _pullPulsationDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _pulsationPercentageCurve;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _minDistanceToTargetForMovement;

public:
	UK38SurvivorHeldByDogVelocityCalculationStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK38SurvivorHeldByDogVelocityCalculationStrategy) { return 0; }
